import * as config from "./config";
import * as requests from "./requests";
import express from "express";
import db from "./db";
import { QueryResult } from "pg";

const app = express();
app.use(express.static('public'));
app.use(express.json());

app.get("/api/getRequests", async (request, response) => {
    var requestCount = ( request.query.count ? parseInt(request.query.count as string, 10) : 5 );
    requests.getRequests(requestCount).then((val: QueryResult) => response.send(val));
});

app.get("/api/getAllRequests", async (request, response) => {
	var requestCount = ( request.query.count ? parseInt(request.query.count as string, 10) : 5 );
	requests.getAllRequests(requestCount,response);
});

const server = app.listen(config.port, () => {
  console.log(`Listening on port ${config.port}`);
});
